---
title: List transformers
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Logpush](https://developers.cloudflare.com/api/python/resources/logpush)

[Transformers](https://developers.cloudflare.com/api/python/resources/logpush/subresources/transformers)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List transformers

logpush.transformers.list(TransformerListParams\*\*kwargs) -> SyncSinglePage\[[TransformerListResponse](<https://developers.cloudflare.com/api/python/resources/logpush#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/logpush/transformers

Lists all custom log transformers for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Logs Write`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20logpush.transformers%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class TransformerListResponse: …

</summary>

id: Optional\[int]

The transformer ID.

minimum1

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

associated\_jobs: Optional\[List\[AssociatedJob]]

Logpush jobs that reference this transformer.

</summary>

id: Optional\[int]

The logpush job ID.

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

name: Optional\[str]

The logpush job destination name.

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

object\_tag: Optional\[str]

The zone or account tag.

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs%20%3E%20(items)%20%3E%20(property)%20object_tag">Link to this property</a>

<details>

<summary>

object\_type: Optional\[Literal\["zone", "account"]]

Whether the job is zone-scoped or account-scoped.

</summary>

One of the following:

"zone"

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs%20%3E%20(items)%20%3E%20(property)%20object_type%20%3E%20(member)%200">Link to this property</a>

"account"

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs%20%3E%20(items)%20%3E%20(property)%20object_type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs%20%3E%20(items)%20%3E%20(property)%20object_type">Link to this property</a>

</details>

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20associated_jobs">Link to this property</a>

created\_at: Optional\[datetime]

When the transformer was created (RFC 3339).

formatdate-time

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

dataset: Optional\[str]

The dataset this transformer operates on, derived from the SQL query’s FROM clause. Informational only. May be absent if the dataset cannot be determined from the query.

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20dataset">Link to this property</a>

description: Optional\[str]

Optional customer-provided description.

maxLength4096

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

name: Optional\[str]

Customer-provided name for identification.

maxLength255

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

updated\_at: Optional\[datetime]

When the transformer was last modified (RFC 3339).

formatdate-time

<a href="#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20logpush.transformers%20%3E%20(model)%20transformer_list_response%20%3E%20(schema)>)

### List transformers

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.logpush.transformers.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 42,
      "associated_jobs": [
        {
          "id": 123,
          "name": "s3-export",
          "object_tag": "023e105f4ecef8ad9ca31a8372d0c353",
          "object_type": "zone"
        }
      ],
      "created_at": "2026-08-01T12:00:00Z",
      "dataset": "http_requests",
      "description": "Redacts PII fields from HTTP request logs.",
      "name": "redact-pii",
      "updated_at": "2026-08-10T15:30:00Z"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 42,
      "associated_jobs": [
        {
          "id": 123,
          "name": "s3-export",
          "object_tag": "023e105f4ecef8ad9ca31a8372d0c353",
          "object_type": "zone"
        }
      ],
      "created_at": "2026-08-01T12:00:00Z",
      "dataset": "http_requests",
      "description": "Redacts PII fields from HTTP request logs.",
      "name": "redact-pii",
      "updated_at": "2026-08-10T15:30:00Z"
    }
  ]
}
```